void base64_encode(
    void *dest,
    size_t destlen,
    void *src,
    size_t srclen,
    size_t linelen
);
    /*
     * base64_encode - convert binary data to base64
     *
     * Writes a base64 encoding of |srclen| bytes starting at |src|
     * into |dest|. No more than |destlen| bytes will be written.
     * After every |linelen| bytes written, a CRLF sequence will be
     * inserted. 
     *
     * The base64 encoding will be in the run time character set, not
     * US-ASCII. This is probably correct for e-mail (where a character
     * set conversion will occur at a gateway), but not for HTTP.
     * Most sites won't care of course, because their run time character
     * set is some some superset of US-ASCII.
     *
     * MIME (RFC 2045) mandates a maximum line length of 76 characters.
     * HTTP basic-cookies have arbirtrary line length.
     */
